<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Chart Report</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
    integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css"
    integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">

</head>

<body class="hold-transition sidebar-mini">
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light" id="header-navbar">
    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="#" class="brand-link">
        <span class="brand-text font-weight-light" style="margin-left:10px">SHOP</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img id="user-image" src="dist/img/female.jpg" class="img-circle elevation-2" alt="User Image" />
          </div>
          <div class="info">
            <a id="leftside-username" href="#" class="d-block"></a>
          </div>
        </div>

        <!-- SidebarSearch Form -->
        <div class="form-inline">
          <div class="input-group" data-widget="sidebar-search">
            <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search" />
            <div class="input-group-append">
              <button class="btn btn-sidebar">
                <i class="fas fa-search fa-fw"></i>
              </button>
            </div>
          </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2" id="sidebar-menu">

        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-8">
            </div>

            <div class="col-sm-4">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Report</li>
              </ol>
            </div>
          </div>
          <!-- <div class="row mb-2">
            <div class="col-sm-8 input-date-container" style="display: flex; gap:20px">
              <div>
                <label for="">From: </label>
                <input id="startDate-input" type="date">
              </div>
              <div>
                <label for="">to:</label>
                <input id="endDate-input" type="date">
              </div>
            </div>
            <div class="col-sm-4" style="display: flex;justify-content: flex-end;">
              <select name="" id="select-type">
                <option selected disabled value="">Choose report</option>
                <option value="1">Daily Report</option>
                <option value="4">Weekly Report</option>
              </select>
            </div>
          </div> -->
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <!-- Bar chart -->
              <div class="card card-primary card-outline">
                <div class="card-header">
                  <h3 class="card-title">
                    <i class="far fa-chart-bar"></i>
                    CUSTOMER REPORT
                  </h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                    <button type="button" class="btn btn-tool" data-card-widget="remove">
                      <i class="fas fa-times"></i>
                    </button>
                  </div>
                </div>
                <div class="card-body">
                  <!-- <div id="bar-chart" style="height: 300px;"></div> -->
                  <canvas id="myChart"></canvas>
                </div>
                <!-- /.card-body-->
              </div>
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        </div><!-- /.container-fluid -->
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <footer class="main-footer">
      <div class="float-right d-none d-sm-block">
        <b>Version</b> 3.2.0
      </div>
      <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
    </footer>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js"></script>
  <!-- FLOT CHARTS -->
  <script src="plugins/flot/jquery.flot.js"></script>
  <!-- FLOT RESIZE PLUGIN - allows the chart to redraw when the window is resized -->
  <script src="plugins/flot/plugins/jquery.flot.resize.js"></script>
  <!-- FLOT PIE PLUGIN - also used to draw donut charts -->
  <script src="plugins/flot/plugins/jquery.flot.pie.js"></script>
  <!-- ChartJS -->
  <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
  <!-- Page specific script -->
  <script src="sidebar-menu.js"></script>
  <script src="header.js"></script>
  <script src="ajax.js"></script>
  <script src="location.js"></script>
  <script>
    /*
     * Custom Label formatter
     * ----------------------
     */
    function labelFormatter(label, series) {
      return '<div style="font-size:13px; text-align:center; padding:2px; color: #fff; font-weight: 600;">'
        + label
        + '<br>'
        + Math.round(series.percent) + '%</div>'
    }
    const formatReadableDate = (dateString) => new Date(dateString).toLocaleDateString('en-GB', { timeZone: 'UTC' });

    $(document).ready(() => {
      const userId = localStorage.getItem('userId');

      const vUsername = localStorage.getItem('username');
      $('#username').text(`${vUsername}`);
      $('#leftside-username').text(`${vUsername}`);

      // Gọi API lấy dữ liệu customer
      $.ajax({
        type: "get",
        url: `http://localhost:8090/employee/${userId}`,
        success: function (result) {
          if (result.photos[0]) {
            $('#user-image').attr('src', `${result.photos[0].url}`)
          }
        }
      })
      $.ajax({
        url: 'http://localhost:8090/customer/',
        type: 'GET',
        success: (res) => {
          let newArr = []
          let countVIP = {
            title: "VIP",
            count: 0
          };

          let countSILVER = {
            title: "SILVER",
            count: 0
          };

          let countGOLD = {
            title: "GOLD",
            count: 0
          };

          let countDIAMOND = {
            title: "DIAMOND",
            count: 0
          };


          for (let index = 0; index < res.length; index++) {
            if (res[index].totalOrderPayment
              >= 1000 && res[index].totalOrderPayment
              <= 1999) {
              countVIP.count += 1;
            }
          }

          for (let index = 0; index < res.length; index++) {
            if (res[index].totalOrderPayment
              >= 2000 && res[index].totalOrderPayment
              <= 3999) {
              countSILVER.count += 1;
            }
          }

          for (let index = 0; index < res.length; index++) {
            if (res[index].totalOrderPayment
              >= 4000 && res[index].totalOrderPayment
              <= 6999) {
              countGOLD.count += 1;
            }
          }

          for (let index = 0; index < res.length; index++) {
            if (res[index].totalOrderPayment
              >= 7000 && res[index].totalOrderPayment
              <= 1000000) {
              countDIAMOND.count += 1;
            }
          }

          newArr = newArr.concat(countVIP);
          newArr = newArr.concat(countSILVER);
          newArr = newArr.concat(countGOLD);
          newArr = newArr.concat(countDIAMOND);

          const ctx = document.getElementById('myChart');
          new Chart(ctx, {
            type: 'bar',
            data: {
              datasets: [{
                label: 'Class',
                data: newArr,
                borderWidth: 1
              }],
              options: {

              }
            },
            options: {
              parsing: {
                xAxisKey: 'title',
                yAxisKey: 'count',
              },
              scales: {
                y: {
                  beginAtZero: true
                }
              },
            }
          });
        },
      });
    })


  </script>
</body>

</html>